<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRouletteSetUpsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('roulette_set_ups', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('single_rate')->index()->nullable();
            $table->integer('even_odd_rate')->index()->nullable();
            $table->integer('color_rate')->index()->nullable();
            $table->integer('combination_rate')->index()->nullable();
            $table->integer('row_rate')->index()->nullable();
            $table->integer('big_small_rate')->index()->nullable();
            $table->boolean('status')->index()->default(true);
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('roulette_set_ups');
    }
}
